wicd-cli(8)

NAME
wicd-cli - command-line interface to wicd

SYNOPSIS
wicd-cli [options]

DESCRIPTION
This manual page documents briefly the wicd-cli command.

wicd-cli is a scriptable command-line only "client" for wicd.

OPTIONS

-h, --help
    Show summary of options.

-n network-id, --network=network-id
    Specify which network wicd-cli should act on.

-p property, --network-property=property
    Show property from network details.

-s value, --set-to=value
    Set selected property to value

-m name, --name=name
    Set the name for the profile to load/save to name.

-S, --scan
    Scan available wireless networks.

-w, --save
    Save the network connection profile.

-l, --list-networks
    List the networks WICD has in its cache.

-d, --network-details
    Show details of selected network.

-x, --disconnect
    Disconnect from the current network.

-c, --connect
    Connect to the selected network.

-e, --list-encryption-types
    View the available encryption templates WICD can use.

-y, --wireless
    Use the wireless interface.

-z, --wired
    Use the wired interface.

-o, --load-profile
    Load a wired connection profile.

SEE ALSO
wicd(1), wicd-client(1), wicd-gtk(8), wicd-curses(8)

AUTHOR
wicd-cli was written by Ronuk Raval.

This manual page was written by David Paleino <dapal@debian.org>, for the Debian project (and may be used by others).